Description

There are a few usability problems with the way this works:

1. The way that bulk editing is accessed with the pencil icon at the top of the checkbox column is rather non-intuitive and seems a

bit idiosyncratic. It would be more conventional to select/clear all checkboxes using this icon?

2. Right clicking on an issue to access the context menu should obey the checkboxes, so that it is possible, for example, to do a

bulk edit or move of issues. (The business of holding down the Control key to select multiple issues, if that ever worked in the

past, does not seem to work now).

3. Not possible with this AJAX technique to get to the right-click browser menu that allows for opening the issue in a new window.

This is extremely useful. Without this, if you're working your way through a whole set of issues, you have to keep re-running

your query! Painful! One option would be to add a new option to the right-click application menu to open the issue (in a new

window or tab)

Related issues:

Related to Redmine - Feature #563: Issues bulk move feature request Closed

Related to Redmine - Feature #567: To turn on the checkbox of all issues Closed

Related to Redmine - Feature #545: Issues Context menu Closed

Associated revisions

Revision 1130 - 2008-02-10 14:17 - Jean-Philippe Lang

Issue list now supports bulk edit/move/delete (#563, #607). For now, issues from different projects can not be bulk edited/moved/deleted at once.

There are 2 ways to select a set of issues on the issue list:

by using checkbox and/or the little pencil that will select/unselect all issues (#567)

by clicking on the rows (but not on the links), Ctrl and Shift keys can be used to select multiple issues

Context menu was disabled on links so that the default context menu of the browser is displayed when right-clicking on a link (#545).

All this was tested with Firefox 2, IE 6/7, Opera 8 (use Alt+Click instead of Right-click) and Safari 2/3.

History

#1 - 2008-02-05 19:06 - Jean-Philippe Lang

I agree concerning 1 and 2:

the pencil should be used to toggle the selection

the right-click menu would propose an additionnal 'Bulk edit' item if the selection contains more than one issue, to be able to change multiple

properties on a set of issues. The actual 'Bulk edit' form would be displayed when clicking this menu item.

Concerning 3, I see 3 solutions:

the one you propose (as requested here: #545)

to not show the context menu when right clicking on the issue link (but only when clicking anywhere else on the table row)

use ctrl + click (works fine with firefox)

#2 - 2008-02-05 22:43 - M T

With point (3), either the first or second mechanism would be acceptable.

Re the ctrl+click: I use Firefox, and I cannot get the ctrl+click method to work at all!! Maybe I'm not doing it right? Perhaps you could clarify exactly

what you are supposed to do just in case I'm doing it wrong. Perhaps this technique is a bit flakey?

The main thing is that the right-click menu obeys the checkboxes...it does not at present.  And we need to be able to bulk move.
#3 - 2008-02-06 00:14 - Jean-Philippe Lang

I just use Ctrl + left-click on the issue link and firefox opens the issue details view in a new tab.

It's a default firefox shortcut: http://www.mozilla.org/support/firefox/keyboard.

And it works with safari as well.

#4 - 2008-02-06 03:07 - M T

Ah OK - I didn't know you could do that...that solves one issue. But for completeness it would be nice to have it on the app menu as well.

But it doesn't address the issue of being able to do a bulk move of issues from one project to another. There is no way to do this as things stand is

there?

#5 - 2008-02-08 17:25 - Jean-Philippe Lang

- Status changed from New to 7

- Assignee set to Jean-Philippe Lang

I'm working on it.

It will be possible to select multiple tickets by using Ctrl or Shit keys when clicking on the rows, or by using checkboxes.

Right-clicking on a set of issues will let you bulk edit or move the selected tickets.

#6 - 2008-02-08 21:55 - M T

Excellent - looking forward to it.

#7 - 2008-02-10 14:24 - Jean-Philippe Lang

- Status changed from 7 to Closed

Issues can now be bulk edited/moved/deleted and all the problems you mentionned about the UI are fixed.

See r1130.
